Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1515452 - Azure Instances Can Have Empty Resource Groups when Location of Instance & Group mismatch Causing SSA Failure
Summary: Azure Instances Can Have Empty Resource Groups when Location of Instance & Gr...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.9.0
Assignee: Daniel Berger
QA Contact: Satyajit Bulage
URL:
Whiteboard:
Depends On: 1503295
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-20 19:48 UTC by Satoe Imaishi
Modified: 2018-03-06 15:09 UTC (History)
8 users (show)

Fixed In Version: 5.9.0.10
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1503295
Environment:
Last Closed: 2018-03-06 15:09:32 UTC
Category: ---
Cloudforms Team: Azure


Attachments (Terms of Use)

Comment 3 CFME Bot 2017-11-29 20:32:10 UTC
New commit detected on ManageIQ/manageiq-providers-azure/gaprindashvili:
https://github.com/ManageIQ/manageiq-providers-azure/commit/74004f2c6a0a6987f2533690c2c2da329cd9a9ee

commit 74004f2c6a0a6987f2533690c2c2da329cd9a9ee
Author:     Greg Blomquist <blomquisg@gmail.com>
AuthorDate: Thu Nov 16 11:13:00 2017 -0500
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Mon Nov 20 14:51:06 2017 -0500

    Merge pull request #165 from djberg96/resource_group_sti2
    
    Add an Azure STI class for ResourceGroup
    (cherry picked from commit a2dc2744e95af5aa0e171e0cb798e2de7bca0d6d)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1515452

 .../manageiq/providers/azure/cloud_manager/refresh_parser.rb       | 2 +-
 app/models/manageiq/providers/azure/resource_group.rb              | 2 ++
 spec/factories/resource_group.rb                                   | 5 +++++
 .../providers/azure/cloud_manager/provision_workflow_spec.rb       | 4 ++--
 spec/models/manageiq/providers/azure/resource_group_spec.rb        | 7 +++++++
 5 files changed, 17 insertions(+), 3 deletions(-)
 create mode 100644 app/models/manageiq/providers/azure/resource_group.rb
 create mode 100644 spec/factories/resource_group.rb
 create mode 100644 spec/models/manageiq/providers/azure/resource_group_spec.rb

Comment 4 CFME Bot 2017-11-29 20:32:15 UTC
New commit detected on ManageIQ/manageiq-providers-azure/gaprindashvili:
https://github.com/ManageIQ/manageiq-providers-azure/commit/4104250e1844e8f2cf89d8217fa7b833aa0a004a

commit 4104250e1844e8f2cf89d8217fa7b833aa0a004a
Author:     Jason Frey <fryguy9@gmail.com>
AuthorDate: Mon Nov 20 10:17:46 2017 -0500
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Mon Nov 20 14:52:51 2017 -0500

    Merge pull request #156 from djberg96/resource_groups
    
    Downcase ems_ref for resource groups
    (cherry picked from commit 026e41a8244cf084adfbbe0b8f0df6ae1a85f3a5)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1515452

 app/models/manageiq/providers/azure/cloud_manager/refresh_parser.rb | 2 +-
 app/models/manageiq/providers/azure/refresh_helper_methods.rb       | 4 ++--
 spec/models/manageiq/providers/azure/refresh_helper_methods_spec.rb | 2 +-
 3 files changed, 4 insertions(+), 4 deletions(-)

Comment 5 CFME Bot 2017-11-29 20:48:05 UTC
New commit detected on ManageIQ/manageiq-schema/gaprindashvili:
https://github.com/ManageIQ/manageiq-schema/commit/1b9189c19aec44ea3dc5cdbeb70635d83a777b92

commit 1b9189c19aec44ea3dc5cdbeb70635d83a777b92
Author:     Jason Frey <fryguy9@gmail.com>
AuthorDate: Mon Nov 20 10:07:11 2017 -0500
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Mon Nov 20 14:57:22 2017 -0500

    Merge pull request #131 from djberg96/azure_resource_group_sti
    
    Update ResourceGroup type for Azure
    (cherry picked from commit bc49956309e80d7363dc93a52d8d85cb5ed3c38d)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1515452

 ...7201519_update_resource_group_type_for_azure.rb | 17 ++++++++
 ...19_update_resource_group_type_for_azure_spec.rb | 45 ++++++++++++++++++++++
 2 files changed, 62 insertions(+)
 create mode 100644 db/migrate/20171117201519_update_resource_group_type_for_azure.rb
 create mode 100644 spec/migrations/20171117201519_update_resource_group_type_for_azure_spec.rb

Comment 6 CFME Bot 2017-11-29 20:48:10 UTC
New commit detected on ManageIQ/manageiq-schema/gaprindashvili:
https://github.com/ManageIQ/manageiq-schema/commit/303b0ed4abf2540a6bda147b87db8969e83297fe

commit 303b0ed4abf2540a6bda147b87db8969e83297fe
Author:     Jason Frey <fryguy9@gmail.com>
AuthorDate: Mon Nov 20 10:18:01 2017 -0500
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Mon Nov 20 14:58:37 2017 -0500

    Merge pull request #123 from djberg96/azure_resource_group_emsref
    
    Downcase ems_ref for Azure resource groups
    (cherry picked from commit 8e5a9a549925c5614f535d2cdb811c2d64dd62c4)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1515452

 ...00_downcase_resource_group_ems_ref_for_azure.rb |  9 +++++
 ...wncase_resource_group_ems_ref_for_azure_spec.rb | 44 ++++++++++++++++++++++
 2 files changed, 53 insertions(+)
 create mode 100644 db/migrate/20171117201600_downcase_resource_group_ems_ref_for_azure.rb
 create mode 100644 spec/migrations/20171117201600_downcase_resource_group_ems_ref_for_azure_spec.rb

Comment 7 Satyajit Bulage 2017-12-08 10:46:46 UTC
Created instance in one region and assigned resource group which is in different region. SSA works fine.

Verified Version: 5.9.0.11.20171127204214_e316988


Note You need to log in before you can comment on or make changes to this bug.